import { createContext, useState } from "react";

export const ReportContext = createContext<{
    hasHandledReport: boolean;
    setHasHandledReport: (value: boolean) => void;
  }>({
    hasHandledReport: false,
    setHasHandledReport: () => {},
  });


export const ReportProvider = ({ children }: { children: React.ReactNode }) => {
  const [hasHandledReport, setHasHandledReport] = useState(false);

  return (
    <ReportContext.Provider value={{ hasHandledReport, setHasHandledReport }}>
      {children}
    </ReportContext.Provider>
  );
};
